## Testing

1. Unit Testing -> testing small pieces of code
2. System Testing -> testing a bigger part, like complete api
3. Integration Testing -> testing different parts and how they work together
4. Acceptance Testing -> check with the end users whether they are capable of using software
5. Performance Testing ->  evaluates the speed, responsiveness and stability
6. Regression Testing -> testing again complete code when ever changes were made
7. Security Testing -> spots weaknesses in the security of the system
8. Load Testing -> testing with huge load of traffic at the same time
9. End-to-end Testing -> Testing application as a whole

### TDD (Test Driven Development)

- Write test before implementation of code
- Forces the developer to think about the requirements before implementation
- Tests are not skipped due to time pressure
- Bugs are spotted early

*TDD steps*

1. Write failing tests
2. Implement code that makes the test pass
3. Refactoring

### Advantages

- validate small units of software
- find bugs easy and early
- save time and money
- can force developers to write better and cleaner code

## JUnit

- Unit testing framework for Java
- Part of the xUnit series where JUnit is for Java
- Enables automated unit testing
- Must-have for TDD

