import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.condition.EnabledOnJre;
import org.junit.jupiter.api.condition.EnabledOnOs;
import org.junit.jupiter.api.condition.JRE;
import org.junit.jupiter.api.condition.OS;

public class BankAccountConditionalTests {
    @Test
    @EnabledOnOs({OS.MAC})
    @DisplayName("test mac")
    void testMac() {

    }

    @Test
    @EnabledOnOs({OS.WINDOWS})
    @DisplayName("test windows")
    void testWindows() {

    }

    @Test
    @EnabledOnJre({JRE.JAVA_8})
    @DisplayName("test jre 8")
    void testJre() {

    }

    @Test
    @EnabledOnJre({JRE.JAVA_11})
    @DisplayName("test no jre 11")
    void testNoJre11() {

    }
}
