import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertTrue;
import static org.junit.jupiter.api.Assumptions.assumingThat;

class BankAccountAssumptionsTest {
    @Test
    @DisplayName("test activation account after creation")
    void testActive() {
        BankAccount bankAccount = BankAccount.builder()
                .balance(500.00)
                .active(true)
                .minimumBalance(-1000.00).build();
//        assumeFalse(bankAccount == null, "Account is null");
        assumingThat(bankAccount != null, () -> assertTrue(bankAccount.getActive()));

    }
}